tvbrowser.ui.programtable.background

## Class TimeOfDayBackPainter

- java.lang.Object
- - tvbrowser.ui.programtable.background.AbstractBackPainter
  - - tvbrowser.ui.programtable.background.AbstractCellBasedBackPainter
    - - tvbrowser.ui.programtable.background.TimeOfDayBackPainter

- All Implemented Interfaces:
    BackgroundPainter

      public class TimeOfDayBackPainter
      extends AbstractCellBasedBackPainter

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeOfDayBackPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Image` | `getBackgroundImageFor(Program prog)` Gets the background image for the given program.
    `protected java.awt.Image` | `getOuterBackgroundImage()` Gets the background image for the outer areas, where no programs are.

    - ### Methods inherited from class tvbrowser.ui.programtable.background.AbstractCellBasedBackPainter

      `paintBackground`

    - ### Methods inherited from class tvbrowser.ui.programtable.background.AbstractBackPainter

      `fillImage, getTableWest, layoutChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeOfDayBackPainter

          public TimeOfDayBackPainter()

  - ### Method Detail

    - #### getOuterBackgroundImage

          protected java.awt.Image getOuterBackgroundImage()

      Gets the background image for the outer areas, where no programs are.
      Specified by:
        `getOuterBackgroundImage` in class `AbstractCellBasedBackPainter`
      Returns:
        The background image for the outer areas

    - #### getBackgroundImageFor

          protected java.awt.Image getBackgroundImageFor(Program prog)

      Gets the background image for the given program.
      Specified by:
        `getBackgroundImageFor` in class `AbstractCellBasedBackPainter`
      Parameters:
        `prog` - The program.
      Returns:
        The background image for the given program.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)